"use strict";

this.name = "alt_range_ind";

this.$dirty = new Array();

this.guiScreenChanged = function(to, from) {
	if (this.$dirty.length > 0) {
		for (var i = 0; i < this.$dirty.length; i++) {
			var clean = this.$dirty[i];
			SystemInfo.setInterstellarProperty(clean[0], clean[1], clean[2], 2, "link_color", null);
		}
	}
	if ((to === "GUI_SCREEN_SHORT_RANGE_CHART" || to === "GUI_SCREEN_LONG_RANGE_CHART") && !system.isInterstellarSpace) {
		var reachableSystems = system.info.systemsInRange(player.ship.fuel);
		var currentSystem = system.ID;
		for (var i = 0; i < reachableSystems.length; i++) {
			var fromSystem = currentSystem;
			var toSystem = reachableSystems[i].systemID;
			if (fromSystem > toSystem) {
				fromSystem = toSystem;
				toSystem = currentSystem;
			}
			SystemInfo.setInterstellarProperty(galaxyNumber, fromSystem, toSystem, 2, "link_color", "0 1 0 0.5");
			this.$dirty.push([galaxyNumber, fromSystem, toSystem]);
		}
	}
}
